## rubber 1.1+20100306

=== doc/Makefile ===
all: rubber.info

rubber.info: rubber.texi
	makeinfo rubber.texi

rubber.dvi: rubber.texi
	texi2dvi rubber.texi

html:
	makeinfo --html --css-include=style-import.css --no-split -o rh rubber.texi

rubber.html: rubber.texi html-patch.ed
	makeinfo --html --css-include=style-import.css --no-split --no-headers -o rubber.html rubber.texi
	ed -s rubber.html < html-patch.ed

distclean clean:
	rm -f rubber.aux rubber.cp rubber.dvi rubber.fn rubber.fns \
		rubber.info rubber.ky rubber.log rubber.pg \
		rubber.toc rubber.tp rubber.vr rubber.vrs

=== debian/changelog ===
rubber (1.1+20100306-6) unstable; urgency=medium

  * Transition to dh-python2 (Closes: #752687). Thanks to
    Ricardo Mones for the patch.

 -- Hilmar Preuße <hille42@web.de>  Tue, 09 Sep 2014 09:54:15 +0200

rubber (1.1+20100306-5) unstable; urgency=low

  * fix a typo in last changelog entry (bug was closed manually)
  * improve last changelog entry
  * BIBINPUTS was not honored by biblatex module (Closes: #749699)

 -- Hilmar Preuße <hille42@web.de>  Wed, 25 Jun 2014 13:00:20 +0200

rubber (1.1+20100306-4) unstable; urgency=medium

  * fix a typo in multibib.py (Closes: #683523)
  * replace broken xelatex module (Closes: #725356)
  * Three new modules provided by Sebastian Reichel <sre@debian.org>
    + support for scanning dependencies of ltxtable (Closes: #694836)
    + support for glossaries package (Closes: #694839)
    + basic support for biblatex (Closes: #743362)

 -- Hilmar Preuße <hille42@web.de>  Sun, 30 Mar 2014 22:48:50 +0200

rubber (1.1+20100306-3) unstable; urgency=low

  * Add patch 04_borken_image_conversion.diff
    (Closes: #684731)
  * Add patch 05_rubber-push_vars-bug.diff
    (Closes: #701898)
  * Update to Standards-Version 3.9.5 (co changes needed).

 -- Hilmar Preuße <hille42@web.de>  Thu, 27 Mar 2014 10:50:03 +0200

rubber (1.1+20100306-2) unstable; urgency=medium

  * do not call bibtex with absolute paths, thanks to Benjamin Mako Hill
    for the patch (Closes: #684228). -> 02_rubber_bibtext_20120807.diff
  * ... same for makeindex, thanks to Benjamin Mako Hill for patch
    (Closes: #682892). -> 03_rubber_makeindex_20120808.diff

    The latter causes an FTBFS on package derivations.

 -- Hilmar Preuße <hille42@web.de>  Wed, 08 Aug 2012 14:25:06 +0200

rubber (1.1+20100306-1) unstable; urgency=low

  * New maintainer (Closes: #670755)
  * New upstream snapshot (Closes: #537322)
    - patches for #591533 and #364420 are obsolete
    - has support for nomencl (Closes: #533041)
    - passes correct file name to makeindex (Closes: #444837)
      (Thanks to Paul van Tilburg for the patch)
    - module for ntheorem named correctly this time (Closes: #336184)
    - rubber does not run in endless loop in case of transparent png
      images (Closes: #545273)
  * Install xelatex.py (Closes: #579757)
  * Fix category of info page (01_fix_category_of_info_page.diff)
    (Closes: #424946)
  * Remove /usr/share/rubber/modules/etex.rub for e-TeX support, the
    etex and the elatex binary do not exist any more. (Closes: #592865)

  * Kill some lintian warnings:
    - description-synopsis-starts-with-article
    - binary-arch-rules-but-pkg-is-arch-indep
    - debian-rules-missing-recommended-target
    - debhelper-but-no-misc-depends
  * Remove tetex-bin as alternative dep
  * Fix upstream URI (Closes: #669299)
  * Switch to source format 3.0 (quilt)
  * Update to Standards Version 3.9.3, no changes necessary
  * Use dh_prep instead of dh_clean -k
  * compat level 7, leave deletion of -stamp files to dh_clean
  * Install NEWS file from upstream as /u/s/d/r/changelog.gz

 -- Hilmar Preuße <hille42@web.de>  Mon, 23 Apr 2012 22:38:32 +0200

rubber (1.1-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix the botched previous upload (closes: #597923).  Thanks, Stuart
    Prescott!

 -- Julien Cristau <jcristau@debian.org>  Fri, 24 Sep 2010 12:10:18 +0200

rubber (1.1-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix annoying DeprecationWarning from python 2.6, use hashlib for md5
    (closes: #591533).

 -- Julien Cristau <jcristau@debian.org>  Thu, 23 Sep 2010 14:21:53 +0200

rubber (1.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Incorporate Ubuntu changes to remove byte compiled (.pyc) files
    (Closes: #492731)
    - debian/control
      + Add python-support depends
      + Add XS/XB-Python-Version
    - debian/rules
      + add call to dh_pysupport
      + change install target to delete the pyc before packaging
  * Update standards version to 3.8.0
    - Move hompage to its own field in debian/control
  * Quote filenames in rules/latex/__init__.py to stop crashes on files with
    spaces in the filename. (Closes: #364420)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 Aug 2008 15:07:42 -0400

rubber (1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.

  * Fix RC bug "Rebuilding from source yields a package without a dependency
    on python" (closes: #425078). Changes needed:
    + the package has only private modules, so it's not necessary to use
      python-support or python-central: depend directly on python instead.
    + remove debian/compat, the call to dh_python in debian/rules, and the
      XB-Python-Version header from debian/control.
    + do not build-depend-indep on python-dev, but only on python.

  * Swap the order of the tetex-bin | texlive-latex-base dependency.

 -- Adeodato Simó <dato@net.com.org.es>  Mon, 11 Jun 2007 11:11:43 +0200

rubber (1.1-2) unstable; urgency=low

  * Update for new Python policy.
  * Update to Standards-Version 3.7.2, no changes needed.

 -- Baruch Even <baruch@debian.org>  Sat,  1 Jul 2006 18:28:51 +0000

rubber (1.1-1) unstable; urgency=low

  * New release.
  * Various bugfixes (closes: #247316, #328599, #334886, #345953).
  * Improved log file parser (closes: #329786, #336185).
  * Improved algorithm for file conversion (closes: #242202, #328995, #345982).
  * Support for user rules (closes: #324759, #329009).
  * More control on the application of rules (closes: #328785).
  * Support for unsorted bibliographies (closes: #215676).
  * Track changes in the list of BibTeX databases (closes: #343681).
  * Support for xindy (closes: #344193).
  * Support for sam2p (closes: #328994).
  * Improved fig2dev support (closes: #331149, #345954).
  * Minimal support for ntheorem (closes: #336184).
  * Simpler meaning for -z command-line option (closes: #239661).
  * Changed dependencies to support TeXLive (closes: #354555).



=== debian/control ===
Source: rubber
Section: tex
Priority: optional
Maintainer: Hilmar Preuße <hille42@web.de>
Uploaders: Python Apps Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: python, texinfo, dh-python
X-Python-Version: >= 2.5
Standards-Version: 3.9.5
Homepage: https://launchpad.net/rubber

Package: rubber
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, texlive-latex-base
Suggests: imagemagick, transfig, sam2p
XB-Python-Version: ${python:Versions}
Description: automated system for building LaTeX documents
 This is a building system for LaTeX documents. It is based on a routine that
 runs just as many compilations as necessary. The module system provides a
 great flexibility that virtually allows support for any package with no user
 intervention, as well as pre- and post-processing of the document. The
 standard modules currently provide support for bibtex, dvips, dvipdfm,
 pdftex, makeindex. A good number of standard packages are supported,
 including graphics/graphicx with automatic conversion between various
 graphics formats and Metapost compilation.

=== debian/rules ===
#!/usr/bin/make -f
# This file was adapted from the sample debian/rules generated by dh_make.
# original file: GNU copyright 1997 to 1999 by Joey Hess.
# adaptation: (c) 2002--2006 by Emmanuel Beffara.

settings.py: configure
	dh_testdir
	./configure --python=python --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

build-arch:
build-indep: build
build: build-stamp

build-stamp:  settings.py
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	# upstream tar ball carries no Makefile in root, hence clean target
	# in debian/rules returns exit code != 0, if package was never built.
	# Ignoring this here.
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/rubber/usr
	install -p --mode=644 debian/new_modules/xelatex.py $(CURDIR)/debian/rubber/usr/lib/python2.7/site-packages/rubber/latex_modules
	install -p --mode=644 debian/new_modules/ltxtable.py $(CURDIR)/debian/rubber/usr/lib/python2.7/site-packages/rubber/latex_modules
	install -p --mode=644 debian/new_modules/biblatex.py $(CURDIR)/debian/rubber/usr/lib/python2.7/site-packages/rubber/latex_modules
	install -p --mode=644 debian/new_modules/glossaries.rub $(CURDIR)/debian/rubber/usr/share/rubber/modules
	rm $(CURDIR)/debian/rubber/usr/share/rubber/modules/etex.rub

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_python2
	dh_installdocs
	dh_installman
	dh_installinfo doc/rubber.info
	dh_installchangelogs NEWS
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep
.PHONY: build clean binary-indep binary install

## rubber 1.2

=== debian/changelog ===
rubber (1.2-1) unstable; urgency=medium

  I re-animated my upstream!!! rubber 1.2 is there.

  * some Debian specific modules/patches are now in upstream
  * shell_escape feature to enable -shell-escape in LaTeX.
    (see upstream changelog for details)
  * add module for pythontex (LP: #1257428)
  * Support for gnuplottex (requires --unsafe)
  * Fix BibTeX called with absolute path and refusing to write.
    (LP: #1287593)
  * Fix LaTeX parsing with optional whitespace (LP: #195258)
  * Fix behavior when .aux is not generated (Closes: #402150)
    (LP: #1208464)
  * Catch broken working directory and print error (LP: #529198)
  * Fix \pdfoutput=1 (Closes: #691305) (LP: #921444)
  * Update homepage (LP: #1169485)
  * Fix crash on nonexisting directory (LP: #529198)
  * Fix CWEB and lhs2tex support which was broken.
  * Fix stdin being leaked to subprocesses, including LaTeX
    (LP: #802169)

 -- Hilmar Preuße <hille42@web.de>  Tue, 07 Jul 2015 23:04:14 +0200

rubber (1.1+20100306-7) unstable; urgency=low

  * Patch from Michael Tänzer <neo+debian@nhng.de> (Closes: #718932)
  * Q&D patch for "\lstinputlisting is incorrectly parsed"
    (Closes: #725355)
  * quilt patches refreshed
  * Add lintian override for debian-rules-ignores-make-clean-error
  * Update Standards version (3.9.6), no changes needed.

 -- Hilmar Preuße <hille42@web.de>  Mon, 18 May 2015 09:39:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: python, texinfo, dh-python
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://launchpad.net/rubber
 
 Package: rubber

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	# in debian/rules returns exit code != 0, if package was never built.
 	# Ignoring this here.
 	-$(MAKE) distclean
+	cd doc; make clean
 	dh_clean
 
 install: build
@@ -31,10 +32,12 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install prefix=$(CURDIR)/debian/rubber/usr
-	install -p --mode=644 debian/new_modules/xelatex.py $(CURDIR)/debian/rubber/usr/lib/python2.7/site-packages/rubber/latex_modules
+	#install -p --mode=644 debian/new_modules/xelatex.py $(CURDIR)/debian/rubber/usr/lib/python2.7/site-packages/rubber/latex_modules
 	install -p --mode=644 debian/new_modules/ltxtable.py $(CURDIR)/debian/rubber/usr/lib/python2.7/site-packages/rubber/latex_modules
 	install -p --mode=644 debian/new_modules/biblatex.py $(CURDIR)/debian/rubber/usr/lib/python2.7/site-packages/rubber/latex_modules
+	#install -p --mode=644 debian/new_modules/pythontex.py $(CURDIR)/debian/rubber/usr/lib/python2.7/site-packages/rubber/latex_modules
 	install -p --mode=644 debian/new_modules/glossaries.rub $(CURDIR)/debian/rubber/usr/share/rubber/modules
+	#install -p --mode=755 debian/new_modules/rubb $(CURDIR)/debian/rubber/usr/bin
 	rm $(CURDIR)/debian/rubber/usr/share/rubber/modules/etex.rub
 
 # Build architecture-independent files here.
@@ -43,6 +46,7 @@
 	dh_testroot
 	dh_python2
 	dh_installdocs
+	#dh_installman debian/new_modules/rubb.1
 	dh_installman
 	dh_installinfo doc/rubber.info
 	dh_installchangelogs NEWS

## rubber 1.4

=== debian/changelog ===
rubber (1.4-3) unstable; urgency=medium

  * Remove Suggestion of sam2p (Closes: #824118) and any other
    references to it (rules.ini).
  * 04_r+for_dev_null.diff: Fix open mode of /dev/null (r+ instead
    of rw) (LP: #1543622)
  * 05_uppercase_filename_extensions_for_graphics.diff
    Matthias Goldhoorn <matthias@goldhoorn.eu> to work with files
    having an uppercase file extension. (LP: #1583475)
  * Add Vcs-Svn field.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing white-spaces

  [ Nicolas Boulenguez ]
  * [PATCH 01/10] Update watch file to uscan format version 4.
  * [PATCH 02/10] Prefix debhelper config files with package as advised
    by policy.
  * [PATCH 03/10] Debhelper 11, standards-version 4.1.4
  * [PATCH 04/10] Add header to 03_no_sam2p.diff
  * [PATCH 05/10] Fix typo spotted by lintian.
  * [PATCH 06/10] Minimal run time autopkg test.
  * [PATCH 07/10] rules: remove explicit target list confusing recent
    debhelper.
  * [PATCH 08/10] Remove obsolete comments from debian/rules.
  * [PATCH 09/10] Explicit pybuild as debhelper buildsystem.
  * [PATCH 10/10] Remove obsolete python version restrictions.

 -- Hilmar Preuße <hille42@web.de>  Mon, 07 May 2018 15:15:34 +0200

rubber (1.4-2) unstable; urgency=medium

  Two patches from upstream git

  * 01_accurate_log.diff: to get more accurate messages, why rubber
    performed another build
  * 02_bibtex_stacktrace.diff: to avoid a rubber crash for specific
    bibtex errors (LP: #1533723)

 -- Hilmar Preuße <hille42@web.de>  Thu, 21 Jan 2016 20:49:43 +0100

rubber (1.4-1) unstable; urgency=medium

  New upstream release

  List only features/bugs, which close Debian/LP bugs. For full
  list see changelog of upstream.

  Features:
  * We have support for embedding R code via knitr. (LP: #1422759)

  Fixes:
  * Refuse to read logfiles which exceed 1 MB. This avoids out-of-memory
    situations. The limit may be raised with
      % rubber: set logfile_limit 1000000
    (LP: #628150)
  * Rubber complains properly now for nonexisting directives, and
    doesn't just print a stacktrace. This probably (Closes: #374908).
    (LP: #1090115)
  * The command-line parsing of rubber and rubber-info has been merged.
    Thus, the --inplace and --into options are not only accepted by
    Rubber (as they were previously), they also take effect. (LP: #975376)
  * jpeg2ps is now gone from info file and rules.ini (Closes: #805935)

  Input from Nicolas Boulenguez <nicolas@debian.org>
  * add doc-base file to register rubber doc files
  * build and installation is now done using upstreams setup script
    (Closes: #803747)
    It uses texi2dvi, which needs a minimal TL installation -> added
    texlive-latex-base to BD's.

  * add Vcs-Browser field
  * add reportbug script to request more information in bug reports

 -- Hilmar Preuße <hille42@web.de>  Mon, 14 Dec 2015 18:45:32 +0100

rubber (1.3-1) unstable; urgency=medium

  New upstream release
  * all Debian specific modules / patches are now obsolete.
    --> removed

  List only features/bugs, which close Debian/LP bugs. For full
  list see changelog of upstream.

  Features:
  * Support for SyncTeX: (LP: #414431)
  * Support for ltxtable, glossaries and biblatex now in upstream
    (LP: #860661)
  * Support for bibtopic (Closes: #460670)
  * Support for use of bibtex8 (Closes: #471185)

  Fixes:
  * Fix handling of absolute pathnames by not having absolute
    pathnames for the most part. (Closes: #798829) (Closes: #798991)
  * Fix bibtex.path directive. (Closes: #694265) (LP: #686187)
  * Fix ntheorem support. (Closes: #328107)
  * Fix TeX parser to handle spaces and comments between the macro
    and its arguments. More radical than #725355. (LP: #1049883)
  * Fix \includegraphics* (LP: #1478034)
  * Fix elatex being called when etex.sty is used (LP: #856449)

  A few suggestions from Nicolas Boulenguez <nicolas@debian.org>
  (Closes: #797517)
  * switch compat to 9 (no changes).
  * add some packages to Suggests, document why they are needed.
  * copyright is machine-readable now.
  * package is again lintian-clean without override.
  * completely overhauled debian/rules, use dh now. Thanks!

  Upstream thinks that a specific command line parser is not necessary
  and no reaction from submitter for about 5 months. (Closes: #336323).

  Add debian/watch file

 -- Hilmar Preuße <hille42@web.de>  Wed, 21 Oct 2015 21:16:42 +0200

=== debian/control ===
Source: rubber
Section: tex
Priority: optional
Maintainer: Hilmar Preuße <hille42@web.de>
Uploaders: Python Apps Team <python-apps-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python,
 texinfo,
 texlive-latex-base,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/python-team/applications/rubber
Vcs-Git: https://salsa.debian.org/python-team/applications/rubber.git
Homepage: https://launchpad.net/rubber

Package: rubber
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, texlive-latex-base
Suggests: imagemagick
 ,texlive-binaries
 ,texlive-extra-utils
 ,texlive-latex-extra
 ,texlive-latex-recommended
 ,texlive-omega
 ,texlive-pictures
 ,transfig
Description: automated system for building LaTeX documents
 This is a building system for LaTeX documents. It is based on a routine that
 runs just as many compilations as necessary. The module system provides a
 great flexibility that virtually allows support for any package with no user
 intervention, as well as pre- and post-processing of the document. The
 standard modules currently provide support for bibtex, dvips, dvipdfm,
 pdftex, makeindex. A good number of standard packages are supported,
 including graphics/graphicx with automatic conversion between various
 graphics formats and Metapost compilation.
 .
 Some optional parts require the installation of suggested Debian packages.
 .
 graphics conversion: imagemagick
 .
 aleph, metapost: texlive-binaries
 .
 pythontex: texlive-extra-utils
 .
 cweb, minitoc, moreverb, multibib, nomencl, ntheorem: texlive-latex-extra
 .
 beamer, index, listings: texlive-latex-recommended
 .
 omega: texlive-omega
 .
 gnuplottex: texlive-pictures
 .
 conversion from XFig format: transfig
# hyperref, makeidx, natbib, verbatim: texlive-latex-base (via Depends)

=== debian/rules ===
#!/usr/bin/make -f
# This file was adapted from the sample debian/rules generated by dh_make.
# original file: GNU copyright 1997 to 1999 by Joey Hess.
# adaptation: (c) 2002--2006 by Emmanuel Beffara.

%: setup.cfg
	dh $@ --buildsystem=pybuild --with python2

setup.cfg:
	ln -s debian/$@
# This symlink is listed by debian/clean.

# Install NEWS as upstream changelog.
.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4

# The version pattern is more selective than @ANY_VERSION@ in order to
# exclude rubber-20100306.tar.gz.

https://launchpad.net/rubber/+download .*/\
  @PACKAGE@\
  -([1-9]\.[0-9]*)\
  @ARCHIVE_EXT@

## rubber 1.5.1

=== debian/changelog ===
rubber (1.5.1-4) unstable; urgency=medium

  * Change "Uploaders" field after merge of DPMT and PAPT.
  * Update Vcs-Browser & Vcs-Git.

 -- Hilmar Preusse <hille42@web.de>  Mon, 09 Nov 2020 23:42:11 +0100

rubber (1.5.1-3) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Remove python-prompt-toolkit and python-pygments from Suggests.
    TeX Live migrated to python3 meanwhile (Closes: #954879).
  * Standards Versuion 4.5.0 (no changes needed).

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Fix day-of-week for changelog entry 0.99.7-1.

 -- Hilmar Preusse <hille42@web.de>  Thu, 10 Sep 2020 00:07:36 +0200

rubber (1.5.1-2) unstable; urgency=medium

  Remove texlive-omega from suggest: it is a transitional
  package.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Hilmar Preusse <hille42@web.de>  Sat, 21 Sep 2019 18:36:49 +0200

rubber (1.5.1-1) unstable; urgency=high

  * New upstream release.
    Solves problems w/ non-UTF-8 characters in log files.
    Closes: #907988.

  [ Nicolas Boulenguez <nicolas@debian.org> ]
  * Let uscan detect versions with three components.
  * Standards-Version: 4.2.1.

 -- Hilmar Preuße <hille42@web.de>  Mon, 17 Sep 2018 22:14:54 +0200

rubber (1.5-1) unstable; urgency=medium

  * New upstream release, ported to python3.
    - Removed patches included in upstream.

  Bugfixes:
  - Fix stacktrace when parsing BibTeX errors (LP: #1533723).
  - Use open mode r+ for /dev/null instead of rw (LP: #1543622)
  - Always give a relative source path to fig2dev (Closes: #345954).
  - Detect "Missing character" messages in log files (Closes: #384155).
  - Update hooks for all parsers (Closes: #813855, LP: #1470988).
  - Accept uppercase image extensions (LP: #1583475).
    Patch from Matthias Goldhoorn <matthias@goldhoorn.eu>.

  [ Nicolas Boulenguez <nicolas@debian.org> ]
  * Standards-Version: 4.2.0. Rules-Requires-Root: no.
    Stop installing NEWS as changelog.
  * Update list of Suggests, shorten for readability in aptitude.

  [ Ondřej Nový <onovy@debian.org> ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Convert git repository from git-dpm to gbp layout

 -- Hilmar Preuße <hille42@web.de>  Fri, 31 Aug 2018 23:59:52 +0200

=== debian/control ===
Source: rubber
Section: tex
Priority: optional
Maintainer: Hilmar Preusse <hille42@web.de>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3,
 texinfo,
 texlive-latex-base,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/rubber
Vcs-Git: https://salsa.debian.org/python-team/packages/rubber.git
Homepage: https://launchpad.net/rubber

Package: rubber
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, texlive-latex-base
Suggests:
 asymptote,
 biber,
 imagemagick,
 python3-prompt-toolkit,
 python3-pygments,
 r-cran-knitr,
 texlive-bibtex-extra,
 texlive-binaries,
 texlive-extra-utils,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-metapost,
 texlive-pictures,
 transfig
Description: automated system for building LaTeX documents
 This is a building system for LaTeX documents. It is based on a routine that
 runs just as many compilations as necessary. The module system provides a
 great flexibility that virtually allows support for any package with no user
 intervention, as well as pre- and post-processing of the document. The
 standard modules currently provide support for bibtex, dvips, dvipdfm,
 pdftex, makeindex. A good number of standard packages are supported,
 including graphics/graphicx with automatic conversion between various
 graphics formats and Metapost compilation.
 .
 Some optional parts require the installation of suggested Debian packages:
 imagemagick (graphics conversion),
 r-cran-knitr,
 texlive-bibtex-extra (biblatex),
 texlive-binaries (aleph),
 texlive-latex-extra (cweb, minitoc, moreverb, multibib, nomencl, ntheorem),
 texlive-latex-recommended (beamer, index, listings),
 texlive-pictures (gnuplottex),
 transfig (conversion from XFig format).
 .
 pythontex from texlive-extra-utils requires
 python3-prompt-toolkit and python3-pygments.

=== debian/tests/control ===
Tests: basic

## rubber 1.6.0

=== Makefile ===
.PHONY: build check check-license format lint pyflakes pylint test yapf

MODULES_AND_PACKAGES := setup.py rubber bin

build:
	python3 ./setup.py build

check: lint test

check-license:
	./tools/check-license

format:
	yapf --in-place --recursive --parallel .

lint: pyflakes pylint yapf check-license

pyflakes:
	pyflakes $(MODULES_AND_PACKAGES)

pylint:
	pylint --errors-only $(MODULES_AND_PACKAGES)

yapf:
	yapf --diff --recursive --parallel .

test:
	(cd tests && ./run.sh *)

.PHONY: gitlab-runner
gitlab-runner:
	gitlab-runner exec docker test
	gitlab-runner exec docker lint

=== debian/changelog ===
rubber (1.6.0-2) unstable; urgency=medium

  * Fix homepage field in d/copyright.
  * Disable test pstricks-pd: fails since TL 2021....or maybe
    Ghostscript update.

 -- Hilmar Preusse <hille42@web.de>  Fri, 24 Sep 2021 10:31:24 +0200

rubber (1.6.0-1) unstable; urgency=medium

  * New Upstream version, thanks to Florian Schmaus; update patch
    to new path, update homepage field in d/copyright.
  * Replace "minimal run time autopkg test" by test suite from upstream.
    Some tests did not run and had to be disabled.
  * Standards version 4.6.0, no changes needed.

 -- Hilmar Preusse <hille42@web.de>  Tue, 14 Sep 2021 22:57:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Hilmar Preusse <hille42@web.de>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3,
  texinfo,
  texlive-latex-base,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rubber
 Vcs-Git: https://salsa.debian.org/python-team/packages/rubber.git
-Homepage: https://launchpad.net/rubber
+Homepage: https://gitlab.com/latex-rubber/rubber
 
 Package: rubber
 Architecture: all

=== debian/tests/control ===
Tests: test-suite
Depends:     python3,
    asymptote,
    biber,
    cwebx,
    imagemagick,
    python3-prompt-toolkit,
    python3-pygments,
    r-cran-knitr,
    texlive-bibtex-extra,
    texlive-binaries,
    texlive-extra-utils,
    texlive-latex-base,
    texlive-latex-extra,
    texlive-latex-recommended,
    texlive-metapost,
    texlive-pictures,
    transfig
Restrictions: allow-stderr

=== debian/watch ===
version=4

# The version pattern is more selective than @ANY_VERSION@ in order to
# exclude rubber-20100306.tar.gz.

opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.*\/archive\/(\d\S+)\/rubber.*\.tar\.gz/rubber-$1\.tar\.gz/g \
  https://gitlab.com/latex-rubber/rubber/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## rubber 1.6.5

=== debian/changelog ===
rubber (1.6.5-1) unstable; urgency=medium

  * New upstream version.
    - Add pybuild-plugin-pyproject & python3-hatchling as new BD.
  * Remove patch 05_enable_docu again, it is done by upstream now.
  * Bump Standards version, no changes needed.

 -- Hilmar Preusse <hille42@web.de>  Sat, 13 Apr 2024 23:15:36 +0200

rubber (1.6.2-1) unstable; urgency=medium

  * New upstream release.
    - Add patch 05_enable_docu to enable documentation generation.

  * Bump Standards version, no changes needed.
  * Add "make" as dependency of autopkg test suite.
  * Call "ps2pdf" with option "-dALLOWPSTRANSPARENCY" to kill
    warning in test suite.
  * Enable test "pstricks-pd" in test suite.
  * Update d/watch file.
  * Update d/copyright.
  * Fix some lintian issues.
  * "gbp push" should push pristine-tar branch too.

 -- Hilmar Preusse <hille42@web.de>  Sat, 06 Apr 2024 09:25:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
  debhelper-compat (= 13),
  dh-python,
  python3,
+ pybuild-plugin-pyproject,
+ python3-hatchling,
  texinfo,
  texlive-latex-base,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rubber
 Vcs-Git: https://salsa.debian.org/python-team/packages/rubber.git

## rubber 1.6.7

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,12 @@
-.PHONY: build check check-license format lint pyflakes pylint test yapf
+.PHONY: build build-wheel check check-license format lint pyflakes pylint test yapf
 
-MODULES_AND_PACKAGES := setup.py rubber bin
+MODULES_AND_PACKAGES := hatch_build.py rubber bin
 
-build:
-	python3 ./setup.py build
+build-wheel:
+	# Cleanup dist by running `rm -rf dist/`
+	python3 -m build
+publish-wheel:
+	python3 -m twine upload dist/latex-rubber-*
 
 check: lint test
 
@@ -22,7 +25,7 @@
 	pylint --errors-only $(MODULES_AND_PACKAGES)
 
 yapf:
-	yapf --diff --recursive --parallel .
+	yapf --diff --recursive --parallel $(MODULES_AND_PACKAGES)
 
 test:
 	(cd tests && ./run.sh *)

=== debian/changelog ===
rubber (1.6.7-1) unstable; urgency=medium

  * New upstream version.
    - graphics: add suffixes for engine=lualatex (by Florian Schmaus)
    - support glossaries nomain package option (by Florian Fischer)
    - support glossaries acronym package option (by Florian Fischer)

 -- Hilmar Preuße <hille42@debian.org>  Tue, 10 Dec 2024 09:19:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rubber
 Section: tex
 Priority: optional
-Maintainer: Hilmar Preusse <hille42@web.de>
+Maintainer: Hilmar Preuße <hille42@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
  debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f
# This file was adapted from the sample debian/rules generated by dh_make.
# original file: GNU copyright 1997 to 1999 by Joey Hess.
# adaptation: (c) 2002--2006 by Emmanuel Beffara.

tmpdir := $(CURDIR)/debian/rubber

%:
	dh $@ --buildsystem=pybuild --with python3

execute_after_dh_auto_install:
	mkdir $(tmpdir)/usr/share/info/
	mv $(tmpdir)/usr/share/doc/rubber/rubber.info $(tmpdir)/usr/share/info/
	rm $(tmpdir)/usr/share/doc/rubber/rubber.texi

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
     biber,
     cwebx,
     imagemagick,
+    make,
     python3-prompt-toolkit,
     python3-pygments,
     r-cran-knitr,

=== debian/watch ===
version=4

# The version pattern is more selective than @ANY_VERSION@ in order to
# exclude rubber-20100306.tar.gz.

opts=searchmode=plain,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.*\/archive\/(\d\S+)\/rubber.*\.tar\.gz/rubber-$1\.tar\.gz/g \
  https://gitlab.com/latex-rubber/rubber/tags?sort=updated_desc -/archive/v?\d[\d.]+/rubber-@ANY_VERSION@.tar.gz
#  https://gitlab.com/latex-rubber/rubber/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
